
function love.load()
    level_table = {}
    for x = -4 , 4 , 0.1 do
        for y = -4 , 4 , 0.1 do
            table.insert(level_table,1,{x,y})
        end
    end
end

function love.update(dt)
    function love.draw()
        love.graphics.setBackgroundColor(0.4,0.4,0.4)
        for i , v in pairs(level_table) do
            if love.keyboard.isDown("lshift") then
                speed = 10
            else
                speed = 1
            end
            if love.keyboard.isDown("left") then
                v[1] = v[1] - 0.5 * dt * speed
            end
            if love.keyboard.isDown("right") then
                v[1] = v[1] + 0.5 * dt * speed
            end
            if love.keyboard.isDown("up") then
                v[2] = v[2] - 0.5 * dt * speed
            end
            if love.keyboard.isDown("down") then
                v[2] = v[2] + 0.5 * dt * speed
            end
            
            love.graphics.setColor(1,0.4,0.8)
            love.graphics.circle("fill",v[1]*50+400,v[2]*50+400,2)
        end

        for i , v in pairs(level_table) do
            a = v[1] - 1
            c = v[1] + 1
            b = v[2]
            d = v[2]
    
            x=(a*c+b*d)/(c*c+d*d)
            y=(b*c-a*d)/(c*c+d*d)

            love.graphics.setColor(0.8,1,0.4)
            love.graphics.circle("fill",x*50+400,y*50+400,2)
        end
    end
end
